rpm 4.11.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
system.h File Reference
`#include <sys/file.h>`
`#include "rpmio/rpmutil.h"`
`#include "misc/fnmatch.h"`
`#include <dlfcn.h>`
Include dependency graph for system.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | dirent direct
#define | NLENGTH(direct) ((direct)->d_namlen)
#define | PATH_MAX 256
#define | xmalloc(_size) rmalloc((_size))
#define | xcalloc(_nmemb, _size) rcalloc((_nmemb), (_size))
#define | xrealloc(_ptr, _size) rrealloc((_ptr), (_size))
#define | xstrdup(_str) rstrdup((_str))
#define | _free(_ptr) rfree((_ptr))
#define | __progname program_name
#define | setprogname(pn)
#define | _(Text) Text
#define | N_(Text) Text

## Functions
char * | stpcpy (char *dest, const char *src)
char * | stpncpy (char *dest, const char *src, size_t n)

## Variables
const char * | program_name

## Macro Definition Documentation

#define _ | ( |  | Text | ) | Text

Definition at line 110 of file system.h.

Referenced by argerror(), build(), buildArgCallback(), buildForTarget(), checkPassPhrase(), checkSpec(), doSign(), getTarSpec(), initPipe(), isSpecFile(), main(), printBanner(), printVersion(), and process_package().

#define __progname program_name

Definition at line 96 of file system.h.

Referenced by argerror(), and main().

#define _free | ( |  | _ptr | ) | rfree((_ptr))

Definition at line 87 of file system.h.

Referenced by fill_archive_entry(), main(), and process_package().

#define dirent direct

Definition at line 54 of file system.h.

#define N_ | ( |  | Text | ) | Text

Definition at line 113 of file system.h.

#define NLENGTH | ( |  | direct | ) | ((direct)->d_namlen)

Definition at line 55 of file system.h.

#define PATH_MAX 256

Definition at line 77 of file system.h.

#define setprogname | ( |  | pn | ) |

Value:
{ if ((__progname = strrchr(pn, '/')) != NULL) __progname++; \
else __progname = pn; \
}
__progname
#define __progname
Definition: system.h:96

Definition at line 97 of file system.h.

Referenced by main().

#define xcalloc | ( |  | _nmemb,
|  |  | _size
| ) |  | rcalloc((_nmemb), (_size))

Definition at line 84 of file system.h.

#define xmalloc | ( |  | _size | ) | rmalloc((_size))

Definition at line 83 of file system.h.

Referenced by main(), and process_package().

#define xrealloc | ( |  | _ptr,
|  |  | _size
| ) |  | rrealloc((_ptr), (_size))

Definition at line 85 of file system.h.

Referenced by main().

#define xstrdup | ( |  | _str | ) | rstrdup((_str))

Definition at line 86 of file system.h.

Referenced by buildArgCallback(), and buildForTarget().

## Function Documentation

char* stpcpy | ( | char * | dest,
|  | const char * | src
| ) |  |

char* stpncpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n
| ) |  |

## Variable Documentation

const char* program_name

Definition at line 4 of file rpm2archive.c.